// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.1
// 	protoc        v3.21.7
// source: internal/module/notifications/rpc/rpc.proto

package rpc

import (
	reflect "reflect"
	sync "sync"

	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	event "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/event"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GitPushEventRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Event *event.GitPushEvent `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
}

func (x *GitPushEventRequest) Reset() {
	*x = GitPushEventRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_module_notifications_rpc_rpc_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GitPushEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GitPushEventRequest) ProtoMessage() {}

func (x *GitPushEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_notifications_rpc_rpc_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GitPushEventRequest.ProtoReflect.Descriptor instead.
func (*GitPushEventRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_notifications_rpc_rpc_proto_rawDescGZIP(), []int{0}
}

func (x *GitPushEventRequest) GetEvent() *event.GitPushEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

type GitPushEventResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *GitPushEventResponse) Reset() {
	*x = GitPushEventResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_module_notifications_rpc_rpc_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GitPushEventResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GitPushEventResponse) ProtoMessage() {}

func (x *GitPushEventResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_notifications_rpc_rpc_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GitPushEventResponse.ProtoReflect.Descriptor instead.
func (*GitPushEventResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_notifications_rpc_rpc_proto_rawDescGZIP(), []int{1}
}

var File_internal_module_notifications_rpc_rpc_proto protoreflect.FileDescriptor

var file_internal_module_notifications_rpc_rpc_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f,
	0x72, 0x70, 0x63, 0x2f, 0x72, 0x70, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x1a, 0x17, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x70, 0x6b, 0x67, 0x2f, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x57, 0x0a,
	0x13, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73, 0x68, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x40, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73, 0x68,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52,
	0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x22, 0x16, 0x0a, 0x14, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73,
	0x68, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0x8c,
	0x01, 0x0a, 0x0d, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x12, 0x7b, 0x0a, 0x0c, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73, 0x68, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73, 0x68, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x34, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x69, 0x74, 0x50, 0x75, 0x73, 0x68, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x5e, 0x5a,
	0x5c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69,
	0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x72, 0x70, 0x63, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_internal_module_notifications_rpc_rpc_proto_rawDescOnce sync.Once
	file_internal_module_notifications_rpc_rpc_proto_rawDescData = file_internal_module_notifications_rpc_rpc_proto_rawDesc
)

func file_internal_module_notifications_rpc_rpc_proto_rawDescGZIP() []byte {
	file_internal_module_notifications_rpc_rpc_proto_rawDescOnce.Do(func() {
		file_internal_module_notifications_rpc_rpc_proto_rawDescData = protoimpl.X.CompressGZIP(file_internal_module_notifications_rpc_rpc_proto_rawDescData)
	})
	return file_internal_module_notifications_rpc_rpc_proto_rawDescData
}

var file_internal_module_notifications_rpc_rpc_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_internal_module_notifications_rpc_rpc_proto_goTypes = []interface{}{
	(*GitPushEventRequest)(nil),  // 0: gitlab.agent.notifications.rpc.GitPushEventRequest
	(*GitPushEventResponse)(nil), // 1: gitlab.agent.notifications.rpc.GitPushEventResponse
	(*event.GitPushEvent)(nil),   // 2: gitlab.agent.event.GitPushEvent
}
var file_internal_module_notifications_rpc_rpc_proto_depIdxs = []int32{
	2, // 0: gitlab.agent.notifications.rpc.GitPushEventRequest.event:type_name -> gitlab.agent.event.GitPushEvent
	0, // 1: gitlab.agent.notifications.rpc.Notifications.GitPushEvent:input_type -> gitlab.agent.notifications.rpc.GitPushEventRequest
	1, // 2: gitlab.agent.notifications.rpc.Notifications.GitPushEvent:output_type -> gitlab.agent.notifications.rpc.GitPushEventResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_internal_module_notifications_rpc_rpc_proto_init() }
func file_internal_module_notifications_rpc_rpc_proto_init() {
	if File_internal_module_notifications_rpc_rpc_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_internal_module_notifications_rpc_rpc_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GitPushEventRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_module_notifications_rpc_rpc_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GitPushEventResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_internal_module_notifications_rpc_rpc_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_module_notifications_rpc_rpc_proto_goTypes,
		DependencyIndexes: file_internal_module_notifications_rpc_rpc_proto_depIdxs,
		MessageInfos:      file_internal_module_notifications_rpc_rpc_proto_msgTypes,
	}.Build()
	File_internal_module_notifications_rpc_rpc_proto = out.File
	file_internal_module_notifications_rpc_rpc_proto_rawDesc = nil
	file_internal_module_notifications_rpc_rpc_proto_goTypes = nil
	file_internal_module_notifications_rpc_rpc_proto_depIdxs = nil
}
